Uploaded image for project: 'SwitchYard'
  1. SwitchYard
  2. SWITCHYARD-2436

Unable to change SwitchYard project settings in property sheet

    Details

    • Steps to Reproduce:
      Hide

      1. Create new SY project with BOM
      2. It doesn't matter whether you set runtime or not
      3. Right click on the project and select SwitchYard > Configure Capabilities
      4. Try to change the target runtime

      Show
      1. Create new SY project with BOM 2. It doesn't matter whether you set runtime or not 3. Right click on the project and select SwitchYard > Configure Capabilities 4. Try to change the target runtime

      Description

      While working on other bugs, I discovered an issue with the work done for SWITCHYARD-2390 that is preventing users from adjusting any SwitchYard Settings (project settings) in the "Configure Capabilities..." properties dialog. No matter what the user does, the message "SwitchYard projects using BOM dependencies must use Runtime Version 2.0 or higher." appears and blocks the user from clicking OK to apply changes.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                bfitzpat Brian Fitzpatrick
                Reporter:
                bfitzpat Brian Fitzpatrick
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: